aboutsummaryrefslogtreecommitdiffstats
path: root/main/xorg-server/APKBUILD
diff options
context:
space:
mode:
authorCarlo Landmeter <clandmeter@gmail.com>2010-09-27 20:19:15 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2010-09-29 06:27:00 +0000
commit01741c6f4368ecdbaaf089c6c065448803de4e95 (patch)
tree77d0f9a35380bf46c9a9da36785ca03d62dfc385 /main/xorg-server/APKBUILD
parent7ca0494aa1dc23119d1870098fd74c02e6dad682 (diff)
downloadaports-01741c6f4368ecdbaaf089c6c065448803de4e95.tar.gz
aports-01741c6f4368ecdbaaf089c6c065448803de4e95.tar.bz2
aports-01741c6f4368ecdbaaf089c6c065448803de4e95.tar.xz
main/xorg-server + xf86-*: upgrade to 1.9.0
build drivers against new 1.9.0 xorg-server (cherry picked from commit 5640f1c42f62e0acbede764b303b70c859e0ba77)
Diffstat (limited to 'main/xorg-server/APKBUILD')
-rw-r--r--main/xorg-server/APKBUILD61
1 files changed, 34 insertions, 27 deletions
diff --git a/main/xorg-server/APKBUILD b/main/xorg-server/APKBUILD
index 8f22a6b2f2..30435e72fe 100644
--- a/main/xorg-server/APKBUILD
+++ b/main/xorg-server/APKBUILD
@@ -1,7 +1,7 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=xorg-server
-pkgver=1.7.7
-pkgrel=1
+pkgver=1.9.0
+pkgrel=0
pkgdesc="X.Org X servers"
url="http://xorg.freedesktop.org"
license="custom"
@@ -14,44 +14,46 @@ depends="
xinit
"
makedepends="
+ autoconf
+ automake
+ bigreqsproto
+ compositeproto
+ damageproto
+ dbus-dev
+ fixesproto
+ glproto
+ inputproto
+ libdrm-dev
libpciaccess-dev
+ libtool
libx11-dev
libxdamage-dev
libxfont-dev
+ libxinerama-dev
libxkbfile-dev
libxkbui-dev
libxv-dev
libxxf86dga-dev
libxxf86misc-dev
+ mesa-dev
openssl-dev
+ perl
pixman-dev
- zlib-dev
-
- bigreqsproto
- compositeproto
- damageproto
- dbus-dev
- fixesproto
- inputproto
pkgconfig
randrproto
+ recordproto
renderproto
resourceproto
+ scrnsaverproto
+ udev-dev
+ util-macros
xcmiscproto
xextproto
- xtrans
xf86driproto
- glproto
- mesa-dev
- libdrm-dev
- perl
- scrnsaverproto
xineramaproto
- libxinerama-dev
- libtool
- automake
- autoconf
- util-macros
+ xproto
+ xtrans
+ zlib-dev
"
# hal>=0.5.11 xcursor-themes xkeyboard-config>=1.3
# xorg-server-utils xorg-utils xorg-fonts-misc xbitmaps libdrm>=2.3.1
@@ -61,7 +63,8 @@ source="http://xorg.freedesktop.org/releases/individual/xserver/$pkgname-$pkgver
xorg-redhat-die-ugly-pattern-die-die-die.patch
"
-depends_dev="pixman-dev libpciaccess-dev"
+depends_dev="pixman-dev libpciaccess-dev xproto randrproto renderproto
+ xextproto inputproto kbproto fontsproto videoproto xineramaproto"
prepare() {
cd "$srcdir"/$pkgname-$pkgver
@@ -80,16 +83,18 @@ build() {
# cannot pass over the linker flag to .so files. so we tweak the
# gcc specs.
export LDFLAGS="$LDFLAGS -Wl,-z,lazy"
+ _fontroot="/usr/share/fonts"
./configure --prefix=/usr \
--sysconfdir=/etc/X11 \
--localstatedir=/var \
- --with-default-font-path=/usr/share/fonts/misc,/usr/share/fonts/100dpi:unscaled,/usr/share/fonts/75dpi:unscaled,/usr/share/fonts/TTF,/usr/share/fonts/Type1 \
+ --with-fontrootdir=$_fontroot \
+ --with-default-font-path=${_fontroot}/misc,${_fontroot}/100dpi:unscaled,${_fontroot}/75dpi:unscaled,${_fontroot}/TTF,${_fontroot}/Type1 \
--with-xkb-path=/usr/share/X11/xkb \
--with-xkb-output=/var/lib/xkb \
--with-dri-driver-path=/usr/lib/xorg/modules/dri \
--enable-composite \
- --enable-config-dbus \
+ --enable-config-udev \
--enable-dri \
--enable-ipv6 \
--enable-xfbdev \
@@ -97,6 +102,7 @@ build() {
--enable-xorg \
--enable-xv \
--enable-xres \
+ --enable-xace \
--disable-xephyr \
--disable-config-hal \
--disable-dmx \
@@ -104,10 +110,11 @@ build() {
--disable-xnest \
--disable-xsdl \
--disable-aiglx \
- --disable-xace \
+ --disable-config-dbus \
+ --enable-config-udev \
|| return 1
- make
+ make || return 1
}
package() {
@@ -141,5 +148,5 @@ xephyr() {
mv "$pkgdir"/usr/bin/Xephyr "$subpkgdir"/usr/bin/
}
-md5sums="8c0146330fb155c23d947ac37d431d4b xorg-server-1.7.7.tar.bz2
+md5sums="ba1173998a5a4216fd7b40eded96697e xorg-server-1.9.0.tar.bz2
222de594206d1148a90eddfda4f7a11a xorg-redhat-die-ugly-pattern-die-die-die.patch"